@import "@/styles/variables";

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 2000px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(224.93deg, rgb(150 170 183 / 4%) -0.12%, rgb(114 136 150 / 4%) 100%);
    opacity: 0.9;
    z-index: 500;
    backdrop-filter: blur(2px);
}

.modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: $white;
    padding: 1.5rem;
    border-radius: 0.75rem;
    width: 95%;
    z-index: 1000;

    @include col;

    gap: 1rem;

    @include card-shadow;

    @include tablet {
        width: 75%;
        position: fixed;
    }

    @include notebook {
        padding: 2rem;
        max-width: 568px;
    }

    &-header {
        display: flex;
        justify-content: space-between;
        gap: 2rem;
        align-items: center;
    }

    &-close-button {
        align-self: flex-end;
    }

    &-body {
        @include flex-center;
    }

    .screenreader-text {
        visibility: hidden;
        display: none;
    }
}
